import javax.swing.JPanel;
import java.awt.Graphics;
import java.awt.Graphics2D;

public class LabPanel extends JPanel { 

   private BlockSpringConfiguration bsConfig;
   
   public LabPanel(BlockSpringConfiguration bsc){
      bsConfig = bsc;
   }
   public void paintComponent(Graphics g){
      super.paintComponent(g);
      Graphics2D g2 = (Graphics2D)g;
      bsConfig.paintComponent(g2);
   }   
}